Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.selector.viewModelElement.model
Interface VTViewModelElementSelector

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VTStyleSelector

All Known Implementing Classes:
  VTViewModelElementSelectorImpl

    public interface VTViewModelElementSelector

extends VTStyleSelector

A representation of the model object 'Selector'.

The following features are supported:

- `Select Subclasses`
- `Class Type`
- `Attribute`
- `Attribute Value`

See Also:
  `VTViewModelElementPackage.getViewModelElementSelector()`

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.view.template.model.VTStyleSelector
`NOT_APPLICABLE`

Method Summary
`org.eclipse.emf.ecore.EAttribute` | `getAttribute()` Returns the value of the 'Attribute' reference.
`Object` | `getAttributeValue()` Returns the value of the 'Attribute Value' attribute.
`org.eclipse.emf.ecore.EClass` | `getClassType()` Returns the value of the 'Class Type' reference.
`boolean` | `isSelectSubclasses()` Returns the value of the 'Select Subclasses' attribute.
`void` | `setAttribute(org.eclipse.emf.ecore.EAttribute value)` Sets the value of the ' `Attribute`' reference.
`void` | `setAttributeValue(Object value)` Sets the value of the ' `Attribute Value`' attribute.
`void` | `setClassType(org.eclipse.emf.ecore.EClass value)` Sets the value of the ' `Class Type`' reference.
`void` | `setSelectSubclasses(boolean value)` Sets the value of the ' `Select Subclasses`' attribute.

Methods inherited from interface org.eclipse.emf.ecp.view.template.model.VTStyleSelector
`isApplicable`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getClassType

    org.eclipse.emf.ecore.EClass getClassType()

  Returns the value of the 'Class Type' reference.

  If the meaning of the 'Class Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Type' reference.
  See Also:
    `setClassType(EClass)`, `VTViewModelElementPackage.getViewModelElementSelector_ClassType()`

### setClassType

    void setClassType(org.eclipse.emf.ecore.EClass value)

  Sets the value of the ' `Class Type`' reference.

  Parameters:
    `value` - the new value of the 'Class Type' reference.
  See Also:
    `getClassType()`

### getAttribute

    org.eclipse.emf.ecore.EAttribute getAttribute()

  Returns the value of the 'Attribute' reference.

  If the meaning of the 'Attribute' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute' reference.
  See Also:
    `setAttribute(EAttribute)`, `VTViewModelElementPackage.getViewModelElementSelector_Attribute()`

### setAttribute

    void setAttribute(org.eclipse.emf.ecore.EAttribute value)

  Sets the value of the ' `Attribute`' reference.

  Parameters:
    `value` - the new value of the 'Attribute' reference.
  See Also:
    `getAttribute()`

### getAttributeValue

    Object getAttributeValue()

  Returns the value of the 'Attribute Value' attribute.

  If the meaning of the 'Attribute Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute Value' attribute.
  See Also:
    `setAttributeValue(Object)`, `VTViewModelElementPackage.getViewModelElementSelector_AttributeValue()`

### setAttributeValue

    void setAttributeValue(Object value)

  Sets the value of the ' `Attribute Value`' attribute.

  Parameters:
    `value` - the new value of the 'Attribute Value' attribute.
  See Also:
    `getAttributeValue()`

### isSelectSubclasses

    boolean isSelectSubclasses()

  Returns the value of the 'Select Subclasses' attribute.

  If the meaning of the 'Select Subclasses' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Select Subclasses' attribute.
  See Also:
    `setSelectSubclasses(boolean)`, `VTViewModelElementPackage.getViewModelElementSelector_SelectSubclasses()`

### setSelectSubclasses

    void setSelectSubclasses(boolean value)

  Sets the value of the ' `Select Subclasses`' attribute.

  Parameters:
    `value` - the new value of the 'Select Subclasses' attribute.
  See Also:
    `isSelectSubclasses()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.